cl.cromer.estructuras

## Class TablaHashController

- java.lang.Object
- - cl.cromer.estructuras.TablaHashController

All Implemented Interfaces:
  javafx.fxml.Initializable

    public class TablaHashController
    extends java.lang.Object
    implements javafx.fxml.Initializable

Esta clase es para controlar todos la interfaz de TablaHash.

Author:
  Chris Cromer

### Field Summary

Fields
`private javafx.scene.text.Text` `codigoHashTable` Donde va el codigo a mostrar a la pantalla.
`private javafx.scene.layout.VBox` `contenidoHashTable` Donde poner el contenido de tablaHash.
`private Grafico` `grafico` Grafico rectangulos.
`private TextFieldLimited` `llaveHashTable` La caja para ingresar la llave.
`private java.util.ResourceBundle` `resourceBundle` Donde está guardado los idiomas.
`private javafx.scene.Scene` `scene` La escena donde está cosas graficas.
`private TablaHash` `tablaHash` El tablaHash usado en la aplicación.
`private TextFieldLimited` `valorHashTable` La caja para ingresar el valor.

### Constructor Summary

Constructors
Constructor and Description
`TablaHashController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `botonBuscar()` Buscar si existe un elemento en el tablaHash y mostrar el codigo en la pantalla Si existe el valor destacarlo.
`protected void` `botonEliminar()` Eliminar un valor del tablaHash si existe y mostrar el codigo en la pantalla.
`protected void` `botonInsertar()` Insertar un valor al tablaHash y mostrar el codigo en la pantalla.
`protected void` `botonLlenar()` Llenar el tablaHash con numeros al azar.
`protected void` `botonVaciar()` Vaciar el tablaHash de todos los valores.
`private void` `generarGrafico()` Poner los valores en el grafico.
`void` `initialize(java.net.URL location, java.util.ResourceBundle resourceBundle)` Inicializar todos los datos y dibujar las graficas.
`private void` `initializeHashTable()` Crear el tablaHash de tamaño 10.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### llaveHashTable

    private TextFieldLimited llaveHashTable

La caja para ingresar la llave.

#### valorHashTable

    private TextFieldLimited valorHashTable

La caja para ingresar el valor.

#### contenidoHashTable

    private javafx.scene.layout.VBox contenidoHashTable

Donde poner el contenido de tablaHash.

#### codigoHashTable

    private javafx.scene.text.Text codigoHashTable

Donde va el codigo a mostrar a la pantalla.

#### scene

    private javafx.scene.Scene scene

La escena donde está cosas graficas.

#### resourceBundle

    private java.util.ResourceBundle resourceBundle

Donde está guardado los idiomas.

#### tablaHash

    private TablaHash tablaHash

El tablaHash usado en la aplicación.

#### grafico

    private Grafico grafico

Grafico rectangulos.

### Constructor Detail

#### TablaHashController

    public TablaHashController()

### Method Detail

#### initialize

    public void initialize(java.net.URL location,
                           java.util.ResourceBundle resourceBundle)

Inicializar todos los datos y dibujar las graficas.

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `location` - URL: El URL de fxml en uso.
  `resourceBundle` - ResourceBundle: Tiene datos de idioma.

#### botonLlenar

    protected void botonLlenar()

Llenar el tablaHash con numeros al azar.

#### botonVaciar

    protected void botonVaciar()

Vaciar el tablaHash de todos los valores.

#### botonInsertar

    protected void botonInsertar()

Insertar un valor al tablaHash y mostrar el codigo en la pantalla.

#### botonEliminar

    protected void botonEliminar()

Eliminar un valor del tablaHash si existe y mostrar el codigo en la pantalla.

#### botonBuscar

    protected void botonBuscar()

Buscar si existe un elemento en el tablaHash y mostrar el codigo en la pantalla Si existe el valor destacarlo.

#### initializeHashTable

    private void initializeHashTable()

Crear el tablaHash de tamaño 10.

#### generarGrafico

    private void generarGrafico()

Poner los valores en el grafico.